package com.zhibao.crm.utils;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.util.Iterator;
import java.util.List;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

public class ZipUtils {

   public static void zipFiles(List srcfile, File zipfile) {
      byte[] buf = new byte[1024];

      try {
         ZipOutputStream e = new ZipOutputStream(new FileOutputStream(zipfile));
         Iterator var4 = srcfile.iterator();

         while(var4.hasNext()) {
            File file = (File)var4.next();
            FileInputStream in = new FileInputStream(file);
            e.putNextEntry(new ZipEntry(file.getName()));

            int len;
            while((len = in.read(buf)) > 0) {
               e.write(buf, 0, len);
            }

            e.closeEntry();
            in.close();
         }

         e.close();
         System.out.println("压缩完成.");
      } catch (Exception var8) {
         var8.printStackTrace();
      }

   }

   public static void main(String[] args) throws FileNotFoundException {
      new File("d:\\test.zip");
      new FileOutputStream("d:\\test.zip");
      System.out.println("压缩完成");
   }
}
